Get radio spins

Get radio spins for a specific song.
Available radios on Soundcharts are listed in the Get radios endpoint.

All “airedAt” times are in UTC.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/broadcasts

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required

Query string parameters

Parameter Value Description Additional
radioSlugs string Radio slugs separed with comma. Example : radio-1,radio-2,radio-3 Optional
countryCode string Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2) Optional
startDate string Period start date (Format ATOM). Example : 2019-01-01T00:00:00Z. If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Period end date. You can leave this field empty to get last broadcasts. Example : 2019-01-01T00:00:00Z Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Broadcast Collection response

Broadcast Collection
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

Radio slugs separed with comma. Example : radio-1,radio-2,radio-3

Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2)

Period start date (Format ATOM). Example : 2019-01-01T00:00:00Z. If not provided, the start date defaults to 30 days before the end date.

Period end date. You can leave this field empty to get last broadcasts. Example : 2019-01-01T00:00:00Z

Get results starting from position

Number of results (max. 100)

Try it out